<?php declare(strict_types=1);

// namespace DoctrineMigrations; // For dev
namespace App\Migrations; // For test/prod

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Ticket #25534
 */
final class Version20210302103139 extends AbstractMigration
{
    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.)');

        $this->addSql('UPDATE article SET title = "Politique de confidentialité" WHERE article.id = 4');
        
        $this->addSql('INSERT INTO section (id, article_id, title, sub_title, position, status, created_date, updated_date) VALUES (46, 4, NULL, NULL, 1, 1, NULL, NULL)');
        $this->addSql('INSERT INTO paragraph (id, section_id, text, position, status, created_date, updated_date) VALUES (71, 46, "<p>La politique &eacute;nonc&eacute;e ci-apr&egrave;s s&rsquo;applique aux traitements de donn&eacute;es personnelles effectu&eacute;s sur la plate-forme Picholines.&nbsp;</p><p>Jean-Fran&ccedil;ois Soto est responsable juridique des traitements de donn&eacute;es personnelles effectu&eacute;s sur Picholines.</p>", 1, 1, NULL, NULL)');
        
        $this->addSql('INSERT INTO section (id, article_id, title, sub_title, position, status, created_date, updated_date) VALUES (47, 4, "1 – Dispositions générales", NULL, 2, 1, NULL, NULL)');
        $this->addSql('INSERT INTO paragraph (id, section_id, text, position, status, created_date, updated_date) VALUES (72, 47, "<p>Les dispositions qui suivent concernent tous les traitements de donn&eacute;es personnelles effectu&eacute;s par le responsable du traitement, sauf mention contraire dans les dispositions sp&eacute;cifiques.</p><h3><strong>&gt; Cadre juridique &ndash; conformit&eacute; au RGPD et &agrave; la loi fran&ccedil;aise</strong></h3><p>Le responsable du traitement d&eacute;clare qu&rsquo;il effectue des traitements de donn&eacute;es personnelles conform&eacute;ment au&nbsp;r&egrave;glement (UE) 2016/679 du Parlement europ&eacute;en et du Conseil du 27 avril 2016, relatif &agrave; la protection des personnes physiques &agrave; l&rsquo;&eacute;gard du traitement des donn&eacute;es &agrave; caract&egrave;re personnel, &agrave; la libre circulation de ces donn&eacute;es (ci-apr&egrave;s d&eacute;sign&eacute; le RGPD) et &agrave; la loi fran&ccedil;aise n&deg; 78-17 du 6 janvier 1978 relative &agrave; l&rsquo;informatique, aux fichiers et aux libert&eacute;s (modifi&eacute;e).</p><h3><strong>&gt; Responsable du traitement et autres intervenants</strong></h3><p>Le responsable du traitement est identifi&eacute; ci-dessus.&nbsp;Ses coordonn&eacute;es sont : <br />Thierry Laniesse<br />Sydel du Pays Coeur d\'H&eacute;rault - 9 rue de la Lucques Ecoparc Coeur d\'H&eacute;rault - La Garrigue 34725 Saint Andr&eacute; de Sangonis</p><p><a href=\'https://www.coeur-herault.fr\'>https://www.coeur-herault.fr</a></p><h3><strong>&gt; Destinataires des donn&eacute;es &agrave; caract&egrave;re personnel</strong></h3><p>Les partenaires suivants peuvent avoir un acc&egrave;s partiel aux donn&eacute;es personnelles collect&eacute;es en r&eacute;ponse &agrave; leurs besoins de facilitation du covoiturage&nbsp;:</p><ul><li aria-level=\'1\'>Partenaires responsables de la plate-forme:</li><ul><li aria-level=\'2\'>R&eacute;publique Fran&ccedil;aise</li><li aria-level=\'2\'>R&eacute;gion Occitanie</li><li aria-level=\'2\'>D&eacute;partement H&eacute;rault</li></ul><li aria-level=\'1\'>Fournisseur de la plate-forme:</li><ul><li aria-level=\'2\'>Mobicoop, soci&eacute;t&eacute; coop&eacute;rative d&rsquo;int&eacute;r&ecirc;t collectif<br />5 rue de la Monnaie - 54000 Nancy, France<br />T&eacute;l.: 09 54 23 32 76</li></ul><li aria-level=\'1\'>Partenaires op&eacute;rationnels:</li><ul><li aria-level=\'2\'>CIAS Lod&eacute;vois Larzac</li><li aria-level=\'2\'>Association Passerelles Insertion</li><li aria-level=\'2\'>MLJ Coeur d\'H&eacute;rault</li><li aria-level=\'2\'>P&ocirc;le Emploi Clermont l\'H&eacute;rault</li></ul><li aria-level=\'1\'>Partenaires techniques:</li><ul><li aria-level=\'2\'>Soci&eacute;t&eacute; OVH, pour l&rsquo;h&eacute;bergement<br />140 Quai du Sartel - 59100 Roubaix, France<br />T&eacute;l. : 08 203 203 63 (commercial)<br />T&eacute;l. : 0 899 701 761 (technique)</li><li aria-level=\'2\'>Service <em>Mandrill</em> de la soci&eacute;t&eacute; <em>The Rocket Science Group</em>, pour l&rsquo;envoi d&rsquo;emails<br />675 Ponce de Leon Ave NE<br />Suite 5000<br />Atlanta, GA 30308, &Eacute;tats-Unis d&rsquo;Am&eacute;rique</li><li aria-level=\'2\'>Soci&eacute;t&eacute; SmsEnvoi, pour l&rsquo;envoi de SMS<br />84 Rue de Lodi - 13006 Marseille, France<br />01 80 961 962</li><li aria-level=\'2\'>MANGOPAY SA, pour le paiement &eacute;lectronique<br />2 Avenue Am&eacute;lie, L-1125 Luxembourg&nbsp;</li></ul></ul><h3><strong>&gt; Transfert de donn&eacute;es</strong></h3><p>Le responsable du traitement Thierry Laniesse n&rsquo;a pas l&rsquo;intention d&rsquo;effectuer un transfert de donn&eacute;es &agrave; caract&egrave;re personnel vers un pays tiers ou &agrave; une organisation internationale.</p><h3><strong>&gt; Dur&eacute;e de conservation des donn&eacute;es &agrave; caract&egrave;re personnel</strong></h3><p>Les r&eacute;f&eacute;rences de l\'inscription sont enregistr&eacute;es et l&rsquo;ensemble des donn&eacute;es personnelles sont conserv&eacute;es jusqu&rsquo;&agrave; ce que l&rsquo;utilisateur choisisse de supprimer son compte.</p><p>Pour une finalit&eacute; d&rsquo;obligation comptable et afin de garantir un droit d&rsquo;opposition, les donn&eacute;es de chaque paiement en ligne ( date et heure ; montant ; pr&eacute;nom, nom &amp; email de l&rsquo;&eacute;metteur ; pr&eacute;nom, nom &amp; email du destinataire; prestataire de paiement ; traces &eacute;lectroniques des appels API effectu&eacute;s vers le prestataire) sont conserv&eacute;es pour une dur&eacute;e de 5 ans dans un espace d&rsquo;archivage interm&eacute;diaire &agrave; acc&egrave;s diff&eacute;renci&eacute; et s&eacute;curis&eacute;.<br /></p><h3><strong>&gt; Droits de la personne dont les donn&eacute;es sont collect&eacute;es</strong></h3><p>La personne dont les donn&eacute;es personnelles sont collect&eacute;es a le&nbsp;droit :</p><p>&ndash; de demander au responsable du traitement l&rsquo;acc&egrave;s aux donn&eacute;es &agrave; caract&egrave;re personnel, la rectification ou l&rsquo;effacement de celles-ci, ou une limitation du traitement relatif &agrave; la personne concern&eacute;e,</p><p>&ndash; de s&rsquo;opposer au traitement,</p><p>&ndash; &agrave; la portabilit&eacute; de ses donn&eacute;es,</p><p>&ndash;&nbsp;d&rsquo;introduire une r&eacute;clamation aupr&egrave;s d&rsquo;une autorit&eacute; de contr&ocirc;le (contacter la CNIL <a href=\'https://www.cnil.fr/fr/plaintes\'>https://www.cnil.fr/fr/plaintes</a>),</p><p>&ndash; de retirer son consentement &agrave; tout moment, sans porter atteinte &agrave; la lic&eacute;it&eacute; du traitement fond&eacute; sur le consentement effectu&eacute; avant le retrait de celui-ci, ce droit existant exclusivement lorsque le traitement est fond&eacute; sur l&rsquo;article 6, paragraphe 1, point a), ou sur l&rsquo;article 9, paragraphe 2, point a) du RGPD, c&rsquo;est-&agrave;-dire sur le consentement de&nbsp;la personne concern&eacute;e au traitement de ses donn&eacute;es &agrave; caract&egrave;re personnel pour une ou plusieurs finalit&eacute;s sp&eacute;cifiques.</p><h3><strong>&gt; Prise de d&eacute;cision automatis&eacute;e &ndash; profilage</strong></h3><p>Sauf mention contraire dans les dispositions sp&eacute;cifiques, aucun profilage ne sera r&eacute;alis&eacute; et plus g&eacute;n&eacute;ralement aucune d&eacute;cision automatis&eacute;e ne sera prise sur la base des donn&eacute;es collect&eacute;es.</p>", 1, 1, NULL, NULL)');
        
        $this->addSql('INSERT INTO section (id, article_id, title, sub_title, position, status, created_date, updated_date) VALUES (48, 4, "2 – Dispositions spécifiques", NULL, 3, 1, NULL, NULL)');
        $this->addSql('INSERT INTO paragraph (id, section_id, text, position, status, created_date, updated_date) VALUES (73, 48, "<p>Les dispositions qui suivent sont sp&eacute;cifiques &agrave; chaque type de traitement de donn&eacute;es personnelles.</p><h3><strong>&gt; Mise en relation entre utilisateurs &agrave; des fins de covoiturage</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Nous traitons les donn&eacute;es personnelles suivantes : civilit&eacute;, pr&eacute;nom, nom, coordonn&eacute;es t&eacute;l&eacute;phoniques, adresse &eacute;lectronique, adresse postale, modalit&eacute;s de paiement, informations relatives au paiement, position g&eacute;ographique et date/heure de d&eacute;part, position g&eacute;ographique et date/heure d&rsquo;arriv&eacute;e, usager avec qui se conclut la r&eacute;servation.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Le traitement est destin&eacute; &agrave; mettre en relation des utilisateurs de la plate-forme afin de pouvoir conclure un trajet en covoiturage.</p><h4><strong>Base juridique</strong></h4><p>Ce traitement est n&eacute;cessaire &agrave; l&rsquo;ex&eacute;cution d&rsquo;une action de covoiturage r&eacute;alis&eacute;e &agrave; la demande de l&rsquo;utilisateur. Il est fond&eacute; sur l&rsquo;article 6, paragraphe 1, point b) du RGPD.&nbsp;La demande de donn&eacute;es conditionne la conclusion de la mise en relation. La personne concern&eacute;e est&nbsp;tenue de fournir les donn&eacute;es. &Agrave; d&eacute;faut, elle ne pourra pas faire une mise en relation sur le site.</p><h3><strong>&gt; Analyse et am&eacute;lioration de nos services</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es&nbsp;</strong></h4><p>Nous traitons les donn&eacute;es suivantes : civilit&eacute;, pr&eacute;nom, nom, coordonn&eacute;es t&eacute;l&eacute;phoniques, adresse &eacute;lectronique, adresse postale, modalit&eacute;s de paiement, informations relatives au paiement, position g&eacute;ographique et date/heure de d&eacute;part des annonces et des recherches, position g&eacute;ographique et date/heure d&rsquo;arriv&eacute;e des annonces et des recherches.&nbsp;</p><p>Les donn&eacute;es de recherches effectu&eacute;es par des visiteurs non-connect&eacute;s sont &eacute;galement exploit&eacute;es par ce traitement.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Les analyses et d&rsquo;&eacute;tudes statistiques de ce traitement sont r&eacute;alis&eacute;s&nbsp;&agrave; des fins d&rsquo;am&eacute;lioration de nos produits et services.</p><h4><strong>Base juridique&nbsp;</strong></h4><p>Le traitement est bas&eacute; sur la mission d&rsquo;int&eacute;r&ecirc;t public d&rsquo;am&eacute;lioration de nos produits et services au b&eacute;n&eacute;fice des utilisateurs. Il est fond&eacute; sur l&rsquo;article 6, paragraphe 1, point f) du RGPD. La demande de donn&eacute;es a un caract&egrave;re contractuel. La personne concern&eacute;e n&rsquo;est pas tenue de fournir ces donn&eacute;es et elle peut s&rsquo;opposer &agrave; tout moment &agrave; leur traitement. Si la personne concern&eacute;e ne fournit pas les donn&eacute;es, elle ne pourra plus profiter des services de la plate-forme. Pour s&rsquo;opposer &agrave; ce traitement de ses donn&eacute;es, l&rsquo;utilisateur a la possibilit&eacute; de se d&eacute;sinscrire du service et ainsi d&eacute;truire son compte et toutes ses donn&eacute;es.</p><p>Les donn&eacute;es des recherches effectu&eacute;es, par des visiteurs non-connect&eacute;s autant que des utilisateurs connect&eacute;s sont anonymis&eacute;es : le libell&eacute; des adresses n&rsquo;est pas conserv&eacute;, et la pr&eacute;cision des positions g&eacute;ographiques d&eacute;truites pour ne conserver que des positions g&eacute;ographiques approximatives.</p><h3><strong>&gt; Analyse du trafic web</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Thierry Laniesse utilise le logiciel Matomo pour analyser le trafic web sur le site. Les donn&eacute;es trait&eacute;es sont : adresse IP, cookies install&eacute;es, date et heure, URL des pages visit&eacute;es, titre des page visit&eacute;es, URL des pages de provenance, r&eacute;solution d&rsquo;&eacute;cran, heure locale, fichiers t&eacute;l&eacute;charg&eacute;s depuis le site, liens cliqu&eacute;s vers un domaine ext&eacute;rieur, temps de g&eacute;n&eacute;ration des pages, ville, r&eacute;gion, pays, langue principale du navigateur web, type de navigateur web (User agent).</p><p>Ces donn&eacute;es sont toutefois anonymis&eacute;es avant d&rsquo;&ecirc;tre sauvegard&eacute;es selon le proc&eacute;d&eacute; reconnu par la CNIL qui exclut la n&eacute;cessit&eacute; de demander un consentement &agrave; la collecte. Suite &agrave; cette anonymisation, il est impossible pour Thierry Laniesse de retrouver l&rsquo;identit&eacute; d&rsquo;un visiteur du site web.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ce traitement est utilis&eacute; &agrave; des fins d&rsquo;analyse et d&rsquo;&eacute;tude statistique du trafic web de notre site.</p><h4><strong>Base juridique&nbsp;</strong></h4><p>Le traitement est bas&eacute; sur la mission d&rsquo;int&eacute;r&ecirc;t public d&rsquo;am&eacute;lioration de notre site Internet au b&eacute;n&eacute;fice des utilisateurs.&nbsp;Il est fond&eacute; sur l&rsquo;article 6, paragraphe 1, point f) du RGPD. L&rsquo;anonymisation des donn&eacute;es ne n&eacute;cessite pas de solliciter un consentement pour leur collecte comme mentionn&eacute; sur <a href=\'https://www.cnil.fr/fr/solutions-pour-les-cookies-de-mesure-daudience\'>cette page du site de la CNIL</a>.</p><p><br/></p><h3><strong>&gt; Messages d&rsquo;actualit&eacute;s du service</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Nous traitons les donn&eacute;es suivantes : nom, pr&eacute;nom, adresse &eacute;lectronique, informations sur les messages ouverts et les liens suivis (y compris la date et l&rsquo;horaire de la consultation), identit&eacute; de l&rsquo;administrateur ou du r&eacute;f&eacute;rent &agrave; l&rsquo;origine du message, r&eacute;ponse apport&eacute;e en cas de sollicitation individuelle, action de sollicitation, annonce associ&eacute;e le cas &eacute;ch&eacute;ant.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Le traitement est destin&eacute; &agrave; favoriser la pratique du covoiturage des utilisateurs, et les tenir inform&eacute;s des &eacute;volutions du service.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur l&rsquo;int&eacute;r&ecirc;t public &agrave; d&eacute;velopper le service de covoiturage mis en oeuvre. La demande de donn&eacute;es a un caract&egrave;re contractuel. Les informations communiqu&eacute;es et sollicitations &agrave; covoiturer restant bas&eacute;es sur des produits et services analogues &agrave; ceux qui ont motiv&eacute; l&rsquo;inscription de l&rsquo;utilisateur, le consentement n&rsquo;a pas &agrave; &ecirc;tre demand&eacute;.&nbsp;Toutefois, la personne concern&eacute;e n&rsquo;est pas tenue de fournir ces donn&eacute;es et elle peut s&rsquo;opposer &agrave; tout moment &agrave; leur traitement. Elle peut exercer ce droit de retrait via les options ad&eacute;quates dans la gestion de son profil utilisateur.</p><h3><strong>&gt; Augmentation de la visibilit&eacute; des annonces en dehors de notre plate-forme</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Nous traitons les donn&eacute;es suivantes : pr&eacute;nom, date/heure de d&eacute;part d&rsquo;une offre, date/heure d&rsquo;arriv&eacute;e d&rsquo;une offre.</p><p>Si l&rsquo;utilisateur accepte ce traitement, les donn&eacute;es personnelles trait&eacute;es sont envoy&eacute;es &agrave; la plate-forme partenaire et cet &eacute;change est r&eacute;gi dans une convention de partenariat qui emp&ecirc;che toute conservation ou traitement de ces donn&eacute;es par la plate-forme partenaire hormis l&rsquo;affichage &agrave; des utilisateurs sur des recherches cibl&eacute;es.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ce traitement est utilis&eacute; &agrave; des fins de mise en relation entre un utilisateur de notre plate-forme et un utilisateur d&rsquo;une plateforme partenaire. La finalit&eacute; poursuivie est donc d&rsquo;augmenter la visibilit&eacute; des annonces de nos utilisateurs et ainsi accro&icirc;tre leur potentiel de covoiturer effectivement.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur le consentement de l&rsquo;utilisateur qui peut d&egrave;s l&rsquo;inscription, ou depuis sa page de profil, refuser de partager ses annonces avec des plate-formes partenaires.</p><h3><strong>&gt; G&eacute;olocalisation</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es suivantes remont&eacute;es par le GPS du t&eacute;l&eacute;phone portable : coordonn&eacute;es g&eacute;ographiques instantan&eacute;es de l&rsquo;appareil (latitude, longitude).</p><h4><strong>Finalit&eacute;s</strong></h4><p>Le traitement de g&eacute;olocalisation est propos&eacute; pour deux finalit&eacute;s :</p><ol><li aria-level=\'1\'>faciliter la saisie d&rsquo;une adresse en prenant la position instantan&eacute;e (point de d&eacute;part, d&rsquo;arriv&eacute;e, adresse d&rsquo;une communaut&eacute; ou d&rsquo;un &eacute;v&eacute;nement, etc.) ;</li><li aria-level=\'1\'>g&eacute;olocaliser en temps r&eacute;el conducteur ou passager pour du covoiturage dynamique.</li></ol><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur l&rsquo;int&eacute;r&ecirc;t public &agrave; faciliter la saisie d&rsquo;adresse et offrir la solution du covoiturage dynamique comme autre opportunit&eacute; pour une mise en relation &agrave; des fins de covoiturage. Via son profil sur l&rsquo;application mobile, l&rsquo;utilisateur peut &agrave; tout instant interrompre la capacit&eacute; de celle-ci &agrave; collecter sa position g&eacute;ographique instantan&eacute;e.</p><h3><strong>&gt; Recherche anonyme de covoiturage</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es suivantes : libell&eacute; des adresses de d&eacute;part et destination, coordonn&eacute;es g&eacute;ographiques des adresses de d&eacute;part et destination (latitude, longitude), type de trajet recherch&eacute; (r&eacute;gulier/occasionnel), date recherch&eacute;e, filtres de recherche.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es afin de donner des r&eacute;sultats de recherche de covoiturage &agrave; un visiteur non connect&eacute; &agrave; la plate-forme.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur les int&eacute;r&ecirc;ts l&eacute;gitimes de l&rsquo;utilisateur &agrave; avoir des r&eacute;sultats de recherche. Ces donn&eacute;es sont supprim&eacute;es au bout de 24h.</p><h3><strong>&gt; Formulaire de contact</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es suivantes : Pr&eacute;nom, Nom, Adresse email, Type de demande, Message.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es pour permettre &agrave; un visiteur de contacter le support technique ou faire une recommandation.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur l&rsquo;int&eacute;r&ecirc;t public &agrave; permettre d&rsquo;&ecirc;tre contact&eacute;.</p><p>Pour exercer son droit de retrait, il suffit &agrave; l&rsquo;utilisateur d&rsquo;envoyer un email ou utiliser ce formulaire de contact pour demander &agrave; supprimer les messages qu&rsquo;il a exp&eacute;di&eacute;s.</p><h3><strong>&gt; Mod&eacute;ration et animation d&rsquo;une communaut&eacute;</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es suivantes : pr&eacute;nom, nom, num&eacute;ro de t&eacute;l&eacute;phone, nom de la communaut&eacute;, et r&ocirc;le dans la communaut&eacute; (membre / mod&eacute;rateur / r&eacute;f&eacute;rent).</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es afin de permettre aux r&eacute;f&eacute;rents et mod&eacute;rateur de communaut&eacute; d&rsquo;accepter ou rejeter des membres, et les contacter &agrave; des fins de covoiturage.</p><h4><strong>Base juridique</strong></h4><p>Le consentement de l&rsquo;utilisateur au partage de ces informations avec le r&eacute;f&eacute;rent de la communaut&eacute; est requis lorsqu&rsquo;il demande &agrave; rejoindre la communaut&eacute;.</p><h3><strong>&gt; Administration des utilisateurs de la plate-forme</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es personnelles suivantes : civilit&eacute;, pr&eacute;nom, nom, coordonn&eacute;es t&eacute;l&eacute;phoniques, adresse &eacute;lectronique, adresse postale, position g&eacute;ographique et date/heure de d&eacute;part, position g&eacute;ographique et date/heure d&rsquo;arriv&eacute;e, usager avec qui se conclut la r&eacute;servation, nom de la communaut&eacute;, et r&ocirc;le dans la communaut&eacute; (membre / mod&eacute;rateur / r&eacute;f&eacute;rent), droits utilisateur.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es afin de permettre aux administrateurs de :</p><ul><li aria-level=\'1\'>changer les droits des utilisateurs et notamment en promouvoir certains en administrateurs ;</li><li aria-level=\'1\'>corriger des erreurs de profil pour ceux ayant des difficult&eacute;s &agrave; le faire par eux-m&ecirc;mes (fracture num&eacute;rique) ;</li><li aria-level=\'1\'>supprimer les comptes d&rsquo;utilisateurs signal&eacute;s et confirm&eacute;s comme originaires d&rsquo;abus.</li></ul><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur la mission d&rsquo;int&eacute;r&ecirc;t public de maintien de la base de donn&eacute;es des utilisateurs dans un &eacute;tat optimal de service.&nbsp;</p><h3><strong>&gt; Action par procuration</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es personnelles suivantes : civilit&eacute;, pr&eacute;nom, nom, coordonn&eacute;es t&eacute;l&eacute;phoniques, adresse &eacute;lectronique, adresse postale, position g&eacute;ographique et date/heure de d&eacute;part, position g&eacute;ographique et date/heure d&rsquo;arriv&eacute;e, usager avec qui se conclut la r&eacute;servation, nom de la communaut&eacute;, et r&ocirc;le dans la communaut&eacute; (membre / mod&eacute;rateur / r&eacute;f&eacute;rent), droits utilisateur.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es afin de permettre aux administrateurs de modifier des profils, cr&eacute;er des annonces, initier voire conclure des sollicitations pour un covoiturage pour le compte d&rsquo;usager en faisant la demande expresse par t&eacute;l&eacute;phone ou par &eacute;crit.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur le consentement des usagers.&nbsp;</p><h3><strong>&gt; Paiement</strong></h3><h4><strong>Donn&eacute;es personnelles trait&eacute;es</strong></h4><p>Ce traitement exploite les donn&eacute;es suivantes : Pi&egrave;ces d&rsquo;identit&eacute; du passager et du conducteur, Nom du propri&eacute;taire du compte bancaire de chacun, adresse du propri&eacute;taire du compte bancaire, IBAN du compte bancaire, le montant des fonds d&eacute;bit&eacute;s. Ces donn&eacute;es sont transmises au prestataire qui permet la transaction financi&egrave;re.</p><h4><strong>Finalit&eacute;s</strong></h4><p>Ces donn&eacute;es sont trait&eacute;es afin de permettre au passager et au conducteur de conclure un paiement &eacute;lectronique des frais engag&eacute;s par le conducteur.</p><h4><strong>Base juridique</strong></h4><p>Le traitement est bas&eacute; sur la mission d&rsquo;int&eacute;r&ecirc;t public &agrave; permettre le paiement via la plateforme. Ces donn&eacute;es sont supprim&eacute;es conform&eacute;ment &agrave; la loi.</p>", 1, 1, NULL, NULL)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.)');
    }
}
